%define url_ver	%(echo %{version} | cut -c 1-4)

Name:		subtitleeditor
Version:	0.53.0
Release:	%mkrel 1
Summary:	Subtitle editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://home.gna.org/subtitleeditor/
Source:		http://download.gna.org/subtitleeditor/%{url_ver}/%{name}-%{version}.tar.gz
Patch0:		subtitleeditor-0.52.1-fix-str-fmt.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(enchant) >= 1.4.0
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamermm-1.0) >= 1.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libxml++-2.6) >= 2.20
Requires:	iso-codes
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-ffmpeg
Requires:	mplayer

%description
Subtitle Editor is a GTK+3 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it
easier to synchronise subtitles to voices.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
  --disable-debug \
  --disable-static \
  --disable-dependency-tracking
%make_build

%install
%make_install

%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/*.1.*


%changelog
* Mon Sep 26 2016 daviddavid <daviddavid> 0.53.0-1.mga6
+ Revision: 1057007
- new version: 0.53.0
- remove merged upstream patch
- fix description

* Fri Feb 12 2016 fwang <fwang> 0.52.1-1.mga6
+ Revision: 957575
- merge patch
- more updated patch
- drop ansi flags from configure
- add patch from upstream bug#23714 to fix build with gcc5 and c++11
- fix str fmt
- disable ansi build
- disable gl
- tweak switch
- br gstreamermm
- 0.52.1

* Wed Oct 15 2014 umeabot <umeabot> 0.41.1-3.mga5
+ Revision: 747913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.41.1-2.mga5
+ Revision: 689574
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 tarakbumba <tarakbumba> 0.41.1-1.mga5
+ Revision: 605976
- Update to latest release
- Do not delete all *so* files. UI was broken.
- Add gstreamermm 0.10.11 related upstream patches

* Sat Oct 19 2013 umeabot <umeabot> 0.41.0-2.mga4
+ Revision: 531725
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 fwang <fwang> 0.41.0-1.mga4
+ Revision: 464846
- update rpm group
- cleanup spec
- new version 0.41.0
- new version 0.40.0

  + gil <gil>
    - update to 0.39.0

  + ennael <ennael>
    - clean spec file
    - imported package subtitleeditor

